---
title: ServiceWorkerRegistration.sync
slug: Web/API/ServiceWorkerRegistration/sync
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Service Workers
  - ServiceWorkerRegistration
  - Sync
---
<div>{{Non-standard_header}}{{APIRef("Service Workers API")}}</div>

<p>The <code><strong>sync</strong></code> property of the {{domxref("ServiceWorkerRegistration")}} interface returns a reference to the {{domxref("SyncManager")}} interface, which manages background synchronization processes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>syncManager</em> = <em>serviceWorkerRegistration</em>.sync;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("SyncManager")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Background Sync')}}</td>
   <td>{{Spec2('Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.sync")}}</p>
